summarylogtreecommitdiffstats
path: root/cubytext.sh
diff options
context:
space:
mode:
authorzxp198210052024-01-23 12:25:00 +0800
committerzxp198210052024-01-23 12:25:00 +0800
commit66372c660421fba8cc419ab07e61349c69469b64 (patch)
treefe692f8f728b990d4e8f64a73cbcc7a60f3519a2 /cubytext.sh
downloadaur-66372c660421fba8cc419ab07e61349c69469b64.tar.gz
update to 0.0.4
Diffstat (limited to 'cubytext.sh')
-rw-r--r--cubytext.sh15
1 files changed, 15 insertions, 0 deletions
diff --git a/cubytext.sh b/cubytext.sh
new file mode 100644
index 000000000000..aacd8f895847
--- /dev/null
+++ b/cubytext.sh
@@ -0,0 +1,15 @@
+#!/bin/sh
+set -e
+_APPDIR="/usr/lib/@appname@"
+_ASAR="${_APPDIR}/@appasar@"
+export PATH="${_APPDIR}:${PATH}"
+export LD_LIBRARY_PATH="${_APPDIR}/swiftshader:${_APPDIR}/lib:${LD_LIBRARY_PATH}"
+export ELECTRON_IS_DEV=0
+export NODE_ENV=production
+cd "${_APPDIR}"
+if [[ $EUID -ne 0 ]] || [[ $ELECTRON_RUN_AS_NODE ]]; then
+ exec electron@electronversion@ "${_ASAR}" "$@"
+else
+ exec electron@electronversion@ "${_ASAR}" --no-sandbox "$@"
+fi
+exit \ No newline at end of file